// The sample contained herein is provided to you "AS IS".
//
// It is furnished by Add-in Express as a simple example and has not been
// thoroughly tested under all conditions. Add-in Express, therefore, cannot
// guarantee its reliability, serviceability or functionality.

unit uNavigationPaneForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Outlook2000, adxolFormsManager, StdCtrls;

type
  TadxOlNavigationPaneForm = class(TadxOlForm)
    btnShowWebViewPane: TButton;
    btnHideWebViewPane: TButton;
    procedure btnShowWebViewPaneClick(Sender: TObject);
    procedure btnHideWebViewPaneClick(Sender: TObject);
  private
    { Private declarations }
  protected
    { Protected declarations }
  public
    { Public declarations }
  published
    { Published declarations }
  end;

{NOTE: The adxOlForm1 variable is intended for the exclusive use
       by the TadxOlFormsCollectionItem Designer.
       NEVER use this variable for other purposes.}
var
  adxOlNavigationPaneForm : TadxOlNavigationPaneForm;

implementation

uses SwitchingWebViewPaneD7_IMPL;

{$R *.DFM}

procedure TadxOlNavigationPaneForm.btnShowWebViewPaneClick(
  Sender: TObject);
begin
  (AddinModule as TAddInModule).DoShowWebViewPane;
end;

procedure TadxOlNavigationPaneForm.btnHideWebViewPaneClick(
  Sender: TObject);
begin
  (AddinModule as TAddInModule).DoHideWebViewPane;
end;

initialization
  RegisterClass(TPersistentClass(TadxOlNavigationPaneForm));

finalization
end.
